Function
readRecord
reads one record (e.g. a single DNA-sequence and its meta data) from a StreamConcept, by the means of RecordReader
readRecord(TIdString & meta, TSeqString & seq, TRecordReader & reader, Fasta const &)
readRecord(TIdString & meta, TSeqString & seq, TRecordReader & reader, Fastq const &)
readRecord(TIdString & meta, TSeqString & seq, TQualString & qual, TRecordReader & reader, Fastq const &)
readRecord(<format specific>, TRecordReader & reader, TTag const &)
readRecord(headerRecord, context, recordReader, tag)
readRecord(alignmentRecord, context, recordReader, tag)
readRecord(headerRecord, context, stream, tag)
readRecord(alignmentRecord, context, stream, tag)
Include Headers
seqan/bam_io.h, seqan/stream.h
Parameters

<format specific> | possibly multiple fields (e.g. meta and sequence)
reader | The reader object to read from Types: RecordReader
TTag | The file format tag
recordReader | The RecordReader to read from. Types: RecordReader Remarks: Use for SAM.
header | BamHeader to read information into. Types: BamHeader
context | The context to use for reading. Types: BamIOContext
stream | The stream to read from (for BAM). Types: StreamConcept Remarks: BAM data can be read from any stream. For the proper decompression (from compressed BAM, the default) use BGZF Stream.
tag | Format to read BamHeader from. Types: Bam, Sam
alignmentRecord | Types: BamAlignmentRecord

Remarks
For FASTA-Files a double-Pass implementation of RecordReader is implemented, which offers better performance. Just pass a Double-Pass reader object (only works with seekable Streams).
For FASTQ-Files a double-Pass implementation of RecordReader is implemented, which offers better performance. Just pass a Double-Pass reader object (only works with seekable Streams).
If not noted otherwise, only a Single-Pass implementation is available for a the given format
Member of
RecordReader
See Also
read2
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58